/* Pythagoras Square */
.pythagoras-square-section {
  background: var(--white-color);
  border-bottom-right-radius: var(--radius);
}

.pythagoras-square {
  padding: 57px 0 80px;
  position: relative;
}

.pythagoras-square:before {
  content: "";
  width: 50vw;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 100%;
  background: var(--dark-grey-bg);
}

.pythagoras-square__inner {
  display: flex;
}

.pythagoras-square__main {
  flex: 0 0 auto;
  width: 597px;
  padding: 0 60px 0 60px;
}

.pythagoras-square__header {
  font-size: 14px;
  line-height: 24px;
  margin-bottom: 16px;
}

.pythagoras-square__header h2 {
  margin-bottom: 7px;
}

.pythagoras-square__header .h3 {
  font-size: 20px;
  line-height: 28px;
  font-weight: 400;
  margin-bottom: 16px;
}

.pythagoras-square__header p:last-child {
  margin-bottom: 0;
}

.pythagoras-square__form {
}

.pythagoras-square__form .form-group {
  margin: 0;
}

.pythagoras-square__form .form-control {
  text-align: center;
  height: 60px;
  padding: 9px 0;
  font-size: 30px;
  line-height: 40px;
  border-color: var(--main-bg);
}

.pythagoras-square__form-row {
  display: flex;
  column-gap: 20px;
  margin-bottom: 26px;
}

.pythagoras-square__form-day,
.pythagoras-square__form-month {
  flex-basis: 0;
  flex-grow: 1;
  min-width: 1px;
}

.pythagoras-square__form-year {
  flex-basis: 0;
  flex-grow: 2;
  min-width: 1px;
}

.pythagoras-square__form-gender {
  flex-basis: 0;
  flex-grow: 0;
  flex-shrink: 0;
}

.pythagoras-square__gender-checks {
  display: flex;
  width: 99px;
  height: 60px;
}

.pythagoras-square__gender-checks label {
  flex-basis: 0;
  flex-grow: 1;
  min-width: 1px;
  margin: 0;
  position: relative;
}

.pythagoras-square__gender-checks label:first-child {
  margin-right: -1px;
}

.pythagoras-square__gender-checks input {
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
}

.pythagoras-square__gender-checks input ~ span {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  border: 1px solid var(--line2-color);
  border-radius: 0;
  color: var(--second-color);
  font-size: 18px;
  line-height: 26px;
}

.pythagoras-square__gender-checks input:checked ~ span {
  border-color: var(--line2-color);
  background-color: var(--line2-color);
  color: var(--light-grey-bg);
  z-index: 1;
}

.pythagoras-square__form-error {
  color: var(--red-color);
  line-height: 24px;
  margin: -26px 0 2px;
}

.pythagoras-square__form-error:not(.is-visible) {
  display: none;
}

.pythagoras-square__btn {
}

.pythagoras-square__content {
  flex-grow: 1;
  min-width: 1px;
  margin-top: 23px;
}

.pythagoras-square__table {
  max-width: 495px;
  display: grid;
  gap: 5px;
  grid-template-columns: repeat(4, minmax(1px, 1fr));
  grid-template-rows: repeat(5, 70px);
  white-space: nowrap;
}

.pythagoras-square__cell {
  background: var(--light-grey2-bg);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.pythagoras-square__cell:nth-child(1) {
  grid-column: span 2;
}

.pythagoras-square__cell:nth-child(16),
.pythagoras-square__cell:nth-child(18),
.pythagoras-square__cell:nth-child(19) {
  visibility: hidden;
}

.pythagoras-square__cell:nth-child(1),
.pythagoras-square__cell:nth-child(2),
.pythagoras-square__cell:nth-child(3),
.pythagoras-square__cell:nth-child(7),
.pythagoras-square__cell:nth-child(11),
.pythagoras-square__cell:nth-child(15),
.pythagoras-square__cell:nth-child(16),
.pythagoras-square__cell:nth-child(17),
.pythagoras-square__cell:nth-child(18),
.pythagoras-square__cell:nth-child(19) {
  background-color: var(--light-grey3-bg);
}

.pythagoras-square__title {
  font-size: 13px;
  line-height: 20px;
  font-weight: 500;
}

.pythagoras-square__value,
.pythagoras-square__placeholder {
  font-size: 20px;
  line-height: 32px;
  font-weight: 500;
}

.pythagoras-square__value {
}

@media (max-width: 1199.98px) {
  .pythagoras-square__main {
    width: 480px;
    padding-right: 30px;
  }
}

@media (max-width: 991.98px) {
  .pythagoras-square:before {
    display: none;
  }

  .pythagoras-square__inner {
    flex-wrap: wrap;
    column-gap: 30px;
    row-gap: var(--block-space);
  }

  .pythagoras-square__main,
  .pythagoras-square__content {
    flex-grow: 1;
    flex-shrink: 1;
    min-width: 1px;
    width: auto;
    max-width: 495px;
    padding: 0;
    margin: 0;
  }

  .pythagoras-square__form-row {
    column-gap: 10px;
  }

  .pythagoras-square__gender-checks {
    width: 90px;
  }

  .pythagoras-square__form .form-control {
    font-size: 26px;
  }
}

@media (max-width: 767.98px) {
}

@media (max-width: 575.98px) {
  .pythagoras-square__table {
    gap: 3px;
  }

  .pythagoras-square__title {
    font-size: 11px;
  }
}
/* ! Pythagoras Square */
